Jump to content

Recommended Posts

Hallo,

 

ich habe heute den Shop von 1.7.5 auf 1.7.6.7 geupdatet.

Seitdem kommt bei der Ansicht einer Bestellung folgende Fehlermeldung :(
 

in override/classes/order/OrderInvoice.php (line 35)

    * date: 2020-01-03 18:39:28

    * version: 1.1.37

    */

    public function getInvoiceNumberFormatted($id_lang, $id_shop = null)

    {

        require_once(_PS_MODULE_DIR_ . "ba_prestashop_invoice/includes/helper.php");

        $helper = new BAInvoiceHelper();

        $setting = Configuration::get("invoice_customnumber_setting", null, null, $id_shop);

        $setting = Tools::jsonDecode($setting, true);

        if ($helper->isEnabledCustomNumber('INVOICE') == true) {

            return $helper->formatInvoicebyNumber($this->number, $this->date_add, $id_lang, $id_shop);

 

Ich hoffe es kann mir jemand weiter helfen.

Share this post


Link to post
Share on other sites

Du hast leider die Fehlermeldung an sich (oberer Teil)  abgeschnitten. Aber die Ursache ist das Modul be_prestashop_inovice dass dir einen Override installiert hat.
Wenn du das Modul benötigst solltest du den Entwickler kontaktieren. Ansonsten kannst du das Modul und den Override deinstallieren/deaktivieren

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More